#!/bin/bash
rm -rf log
mkdir log
export PATH="~pabs/tmp/intel-gpu-tools/tools/:$PATH"
acpidump --binary --output log/acpidump-"$(date --utc --rfc-3339=ns)"
dmesg > log/dmesg-before-"$(date --utc --rfc-3339=ns)"
intel_lid > log/lid-"$(date --utc --rfc-3339=ns)" &
intel_reg_dumper > log/reg-dump-before-lid-close-"$(date --utc --rfc-3339=ns)"
sleep 1s
intel_reg_dumper > log/reg-dump-before-lid-close-"$(date --utc --rfc-3339=ns)"
sleep 1s
read -p 'Please press enter then close the lid, wait for 15s then open it and wait for suspend' foo
i=0
while [ $((i++)) -ne 40 ] ; do
	sleep 1s
	intel_reg_dumper > log/reg-dump-during-loop-"$(date --utc --rfc-3339=ns)"
done
pm-suspend
intel_reg_dumper > log/reg-dump-post-suspend-"$(date --utc --rfc-3339=ns)"
sleep 1s
intel_reg_dumper > log/reg-dump-post-suspend-"$(date --utc --rfc-3339=ns)"
dmesg > log/dmesg-after-"$(date --utc --rfc-3339=ns)"
kill %1
tar zcf debug.tar.gz debug.bash log
rm -rf log
